if(! ('ace' in window) ) window['ace'] = {}
jQuery(function($) { 
	window['ace'].click_event = "click";
});

jQuery(function($) { 
	ace.handle_side_menu(jQuery); 
});

ace.handle_side_menu = function($) { 
 
	$('.nav-list').on(ace.click_event, function(e){
	    var isarrow = $(e.target).hasClass("caret"); 
		var link_element = $(e.target).closest('a');
		if (!link_element || link_element.length == 0)
		    return ; 
		 
		if (isarrow) {
		    var sub = link_element.next().get(0);

		    if (!$(sub).is(':visible')) {

		        var parent_ul = $(sub.parentNode).closest('ul');
		        parent_ul.find('> .open > .submenu').each(function () {
		        if (this != sub && !$(this.parentNode).hasClass('active')) {
		                $(this).slideUp(200).parent().removeClass('open');

		            }
		        });
		    }

		    $(sub).slideToggle(200).parent().toggleClass('open');

		    return false;
		}
		else {
		    return true;
		}

	 })
}

 
  